Company logoTrust Center Documentation
API v1 ReferenceIntegrationsGoogle docsAuthorized files

List authorized Google Drive files

Returns the current tenant's authorized Google Drive asset IDs for the active integration connection/environment.

GET
/api/v1/integrations/google-docs/authorized-files

Returns the current tenant's authorized Google Drive asset IDs for the active integration connection/environment.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

providerConfigKey?string
Default"google-docs"
connectionId?string

Optional connection override when multiple connections exist.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/integrations/google-docs/authorized-files"
{  "success": true,  "data": {    "connectionId": "string",    "environment": "dev",    "integrationUrl": "string",    "files": [      {        "id": "string",        "meta": {},        "name": "string",        "mimeType": "string",        "url": "string"      }    ]  }}

How is this guide?